(function( $ ) {
	'use strict';
	$(document).ready(function($){
		$('.hs_tab_menu li a').on('click',function(e){ 
		e.preventDefault();
		$(".hs_tab_menu li").removeClass('active');
		$(this).parent('li').addClass('active');
			var ghg=$(this).attr('href');
		$("#main-tab-container>div").css({'display':'none'});
		$(ghg).fadeIn(100);
	});
	
	jQuery('.hs_panel_menu li a').on('click',function(e){
		e.preventDefault();
		jQuery(".hs_panel_menu li").removeClass('active');
		jQuery(this).parent('li').addClass('active');
		var loc=jQuery(this).attr('href');
		jQuery("#tab-container>div").css({'display':'none'});
		jQuery(loc).fadeIn(100);
	});

   /*********************************** api connection **************************************/
		$( window ).load(function() {
		     if ( $('#carp_conn_sub_btn').text() == "Disconnect" ) {
				$('#carp_form_group_setting').hide();
			}else{
				$('#carp_form_group_setting').show();
			}
			
			if( $('#carp_form_sbmt_response_12').text() != '' ) {
				$('#carp_form_sbmt_response_12').show(); 
				setTimeout(function() {  $('#carp_form_sbmt_response_12').fadeOut().hide(); }, 5000);
			}
			
			$('#carp_select_autoresponder option').each(function(){
				console.log($(this).text());  
				if ($(this).text().indexOf('Connected') > -1) {  
					$(this).css('color', '#669F61');   
				}
			});
		});

		$('#carp_select_autoresponder').change(function(){
			var option = jQuery('option:selected', this);
			if(!option.attr('data-listselecter')){
				$('.cf_carp_main').hide();
			}else{
				$('.cf_carp_main').hide();
				$('.'+option.attr('data-listselecter')).show();
			}
		}).change();
		
		$('#carp_conn_sub_btn').click(function(e){
			e.preventDefault();
			$('#carp__mc_api_key_err').text(''); 
			var api_key = $('#carp_aweber_mc_api_key').val();
			if(api_key == "" && $('#carp_conn_sub_btn').text() == "connect" ){
				$('#carp__mc_api_key_err').text("Please Enter API KEY");
			}else{
				if($('#carp_conn_sub_btn').text() == "Disconnect"){   
					api_key = "";
				}
				$('.carp_loading').show();
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"Aweber" , "apikey":api_key },   
					success:function(data){
						var result = jQuery.parseJSON(data);
						if(result.success == true){
							$('#carp_conn_sub_btn').text('Disconnect');
							$( "#carp_conn_sub_btn" ).addClass( "carp_btn_cancel" );
							$('#carp_aweber_mc_api_key').attr('readonly', true);
							location.reload(); 
						}else{
							if($('#carp_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_conn_sub_btn" ).removeClass( "carp_btn_cancel" );
								$('#carp_conn_sub_btn').text('Connect');
								$('#carp_aweber_mc_api_key').attr('readonly', false);
								location.reload();
							}else{
								$('#carp__mc_api_key_err').text("Please Enter Correct API KEY");
							}
						}
					},
					complete: function(){
						$('.carp_loading').hide();
					}  
				});   
			} 
		});
		
		$('#carp_mc_conn_sub_btn').click(function(e){
			e.preventDefault();
			$('#carp_mailchimp_mc_api_key_err').text(''); 
			var api_key = $('#carp_mailchimp_mc_api_key').val();
			if(api_key == "" ){
				$('#carp_mailchimp_mc_api_key_err').text("Please Enter API KEY");
			}else{
				if($('#carp_mc_conn_sub_btn').text() == "Disconnect"){
					api_key = "";
				}

				$('.carp_loading').show();
				var data = {'api_key':api_key};
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"Mailchimp" , "apikey":data },  
					success:function(data){
						var result = jQuery.parseJSON(data);
						if(result.success == true){
							$('#carp_mc_conn_sub_btn').text('Disconnect');
							$( "#carp_mc_conn_sub_btn" ).addClass( "cmp_btn_cancel" );
							$('#carp_mailchimp_mc_api_key').attr('readonly', true);
							location.reload();
						}else{
							if($('#carp_mc_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_mc_conn_sub_btn" ).removeClass( "cmp_btn_cancel" );
								$('#carp_mc_conn_sub_btn').text('Connect');
								$('#carp_mailchimp_mc_api_key').attr('readonly', false);
								location.reload();
							}else{
								$('#carp_mailchimp_mc_api_key_err').text("Please Enter Correct API KEY");
							}
						}
					},
					complete: function(){
						$('.carp_loading').hide();
					}  
				});   
			} 
		});
		
		$('#carp_gr_conn_sub_btn').click(function(e){
			e.preventDefault();
			$('#carp_getresponse_mc_api_key_err').text(''); 
			var api_key = $('#carp_getresponse_mc_api_key').val();
			if(api_key == "" ){
				$('#carp_getresponse_mc_api_key_err').text("Please Enter API KEY");
			}else{
				if($('#carp_gr_conn_sub_btn').text() == "Disconnect"){
					api_key = "";
				}

				$('.carp_loading').show();
				var data = {'api_key':api_key};
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"GetResponse" , "apikey":data },  
					success:function(data){
						var result = jQuery.parseJSON(data);
						if(result.success == true){
							$('#carp_gr_conn_sub_btn').text('Disconnect');
							$( "#carp_gr_conn_sub_btn" ).addClass( "cmp_btn_cancel" );
							$('#carp_getresponse_mc_api_key').attr('readonly', true);
							location.reload();
						}else{
							if($('#carp_gr_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_gr_conn_sub_btn" ).removeClass( "cmp_btn_cancel" );
								$('#carp_gr_conn_sub_btn').text('Connect');
								$('#carp_getresponse_mc_api_key').attr('readonly', false);
								location.reload();
							}else{
								$('#carp_getresponse_mc_api_key_err').text("Please Enter Correct API KEY");
							}
						}
					},
					complete: function(){
						$('.carp_loading').hide(); 
					}  
				});   
			} 
		});
		
		$('#carp_cm_conn_sub_btn').click(function(e){ 
			e.preventDefault();
			var res= "true";
			$('#carp_compaignmoniter_mc_client_id_err').text(''); 
			$('#carp_compaignmoniter_mc_api_key_err').text(''); 
			var client_id = $('#carp_compaignmoniter_mc_client_id').val();
			var api_key = $('#carp_compaignmoniter_mc_api_key').val();
			if(client_id == "" ){
				$('#carp_compaignmoniter_mc_client_id_err').text("Please Enter API KEY");
				res = "false";
			}
			if(api_key == "" ){
				$('#carp_compaignmoniter_mc_api_key_err').text("Please Enter API KEY");
				res = "false";
			}
			
			if(res != "false"){ 
				if($('#carp_cm_conn_sub_btn').text() == "Disconnect"){
					api_key = "";
					client_id = ""; 
				}
				
				$('.carp_loading').show();
				var data = {'client_id':client_id, 'api_key':api_key};
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"CampaignMonitor" , "apikey":data },  
					success:function(data){
						var result = jQuery.parseJSON(data);
						if(result.success == true){
							$('#carp_cm_conn_sub_btn').text('Disconnect');
							$( "#carp_cm_conn_sub_btn" ).addClass( "cmp_btn_cancel" );
							$('#carp_compaignmoniter_mc_client_id').attr('readonly', true);
							$('#carp_compaignmoniter_mc_api_key').attr('readonly', true);
							location.reload();
						}else{
							if($('#carp_cm_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_cm_conn_sub_btn" ).removeClass( "cmp_btn_cancel" );
								$('#carp_cm_conn_sub_btn').text('Connect');
								$('#carp_compaignmoniter_mc_client_id').attr('readonly', false);
								$('#carp_compaignmoniter_mc_api_key').attr('readonly', false);
								location.reload();
							}else{
								$('#carp_compaignmoniter_mc_api_key_err').text("Please Enter Correct API KEY"); 
							} 
						}
					},
					complete: function(){
						$('.carp_loading').hide();
					}  
				});  
			} 
		});
		
		
		$('#carp_ic_conn_sub_btn').click(function(e){  
			e.preventDefault();
			var res= "true";
			$('#carp_icontact_mc_user_err').text(''); 
			$('#carp_icontact_mc_pass_err').text("");
			$('#carp_icontact_mc_api_key_err').text(''); 
			var username = $('#carp_icontact_mc_user').val();
			var pass = $('#carp_icontact_mc_pass').val();
			var api_key = $('#carp_icontact_mc_api_key').val();
			if(username == "" ){
				$('#carp_icontact_mc_user_err').text("Please Enter User Id");
				res = "false";
			}
			if(pass == "" ){
				$('#carp_icontact_mc_pass_err').text("Please Enter password");
				res = "false";
			}
			if(api_key == "" ){
				$('#carp_icontact_mc_api_key_err').text("Please Enter API KEY");
				res = "false";
			}
			
			if(res != "false"){ 
				if($('#carp_ic_conn_sub_btn').text() == "Disconnect"){
					api_key = "";
				}
				
				$('.carp_loading').show();
				var data = {'login_email':username,'app_password':pass,  'app_id':api_key};
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"iContact" , "apikey":data },  
					success:function(data){
						var result = jQuery.parseJSON(data);
						if(result.success == true){
							$('#carp_ic_conn_sub_btn').text('Disconnect');
							$( "#carp_ic_conn_sub_btn" ).addClass( "cmp_btn_cancel" ); 
							$('#carp_icontact_mc_user').attr('readonly', true);
							$('#carp_icontact_mc_pass').attr('readonly', true);
							$('#carp_icontact_mc_api_key').attr('readonly', true);
							location.reload();
						}else{
							if($('#carp_ic_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_ic_conn_sub_btn" ).removeClass( "cmp_btn_cancel" );
								$('#carp_ic_conn_sub_btn').text('Connect');
								$('#carp_icontact_mc_user').attr('readonly', false);
								$('#carp_icontact_mc_pass').attr('readonly', false);
								$('#carp_icontact_mc_api_key').attr('readonly', false);
								location.reload();
							}else{
								$('#carp_icontact_mc_api_key_err').text("Please Enter Correct API KEY"); 
							} 
						}
					},
					complete: function(){
						$('.carp_loading').hide();
					}  
				});  
			} 
		});
		
		$('#carp_cc_conn_sub_btn').click(function(e){  
			e.preventDefault();
			var res= "true";
			$('#carp_constantcontact_mc_user_err').text(''); 
			$('#carp_constantcontact_mc_pass_err').text("");
			var username = $('#carp_constantcontact_mc_user').val();
			var pass = $('#carp_constantcontact_mc_pass').val();
			if(username == "" ){
				$('#carp_constantcontact_mc_user_err').text("Please Enter User Id");
				res = "false";
			}
			if(pass == "" ){
				$('#carp_constantcontact_mc_pass_err').text("Please Enter password");
				res = "false";
			}
			
			if(res != "false"){ 
				if($('#carp_cc_conn_sub_btn').text() == "Disconnect"){
					username = "";
					pass = ""; 
				}
				
				$('.carp_loading').show();
				var data = {'username':username,'password':pass };
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"ConstantContact" , "apikey":data },  
					success:function(data){
						var result = jQuery.parseJSON(data);
						if(result.success == true){
							$('#carp_cc_conn_sub_btn').text('Disconnect');
							$( "#carp_cc_conn_sub_btn" ).addClass( "cmp_btn_cancel" ); 
							$('#carp_constantcontact_mc_user').attr('readonly', true);
							$('#carp_constantcontact_mc_pass').attr('readonly', true);
							location.reload();
						}else{
							if($('#carp_cc_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_cc_conn_sub_btn" ).removeClass( "cmp_btn_cancel" );
								$('#carp_cc_conn_sub_btn').text('Connect');
								$('#carp_constantcontact_mc_user').attr('readonly', false);
								$('#carp_constantcontact_mc_pass').attr('readonly', false); 
								location.reload();
							}else{
								$('#carp_constantcontact_mc_pass_err').text("Please Enter Correct Username And Password"); 
							}  
						}
					},
					complete: function(){
						$('.carp_loading').hide();
					}  
				});  
			} 
		});
		
		$('#carp_vr_conn_sub_btn').click(function(e){  
			e.preventDefault();
			var res= "true";
			$('#carp_verticalresponse_mc_user_err').text('');    
			var username = $('#carp_verticalresponse_mc_user').val();
			if(username == "" ){
				$('#carp_verticalresponse_mc_user_err').text("Please Enter User Id");
				res = "false";
			}
			
			if(res != "false"){ 
				if($('#carp_vr_conn_sub_btn').text() == "Disconnect"){
					username = "";
				}
				
				$('.carp_loading').show();
				var data = {'accesstoken':username, };
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"Verticalresponse" , "apikey":data },    
					success:function(data){
						var result = jQuery.parseJSON(data);
						if(result.success == true){  
							$('#carp_vr_conn_sub_btn').text('Disconnect');
							$( "#carp_vr_conn_sub_btn" ).addClass( "cmp_btn_cancel" ); 
							$('#carp_verticalresponse_mc_user').attr('readonly', true);
							location.reload();
						}else{
							if($('#carp_vr_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_vr_conn_sub_btn" ).removeClass( "cmp_btn_cancel" );
								$('#carp_vr_conn_sub_btn').text('Connect');
								$('#carp_verticalresponse_mc_user').attr('readonly', false);
								location.reload();
							}else{
								$('#carp_verticalresponse_mc_user_err').text("Please Enter Correct API KEY"); 
							}   
						} 
					},
					complete: function(){
						$('.carp_loading').hide();
					}  
				});  
			} 
		});
		
		$("#carp_egoi_conn_sub_btn").click(function(e){
			e.preventDefault();
			$('#carp_egoi_mc_api_key_err').text(''); 
			var api_key = $('#carp_egoi_mc_api_key').val();
			if(api_key == "" ){
				$('#carp_egoi_mc_api_key_err').text("Please Enter API KEY");
			}else{
				if($('#carp_egoi_conn_sub_btn').text() == "Disconnect"){
					api_key = "";
				}

				$('.carp_loading').show();
				var data = {'api_key':api_key}; 
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"E-goi" , "apikey":data },    
					success:function(data){  
						var result = jQuery.parseJSON(data);
						if(result.success == true){
							$('#carp_egoi_conn_sub_btn').text('Disconnect');
							$( "#carp_egoi_conn_sub_btn" ).addClass( "cmp_btn_cancel" );
							$('#carp_egoi_mc_api_key').attr('readonly', true);
							location.reload();
						}else{
							if($('#carp_egoi_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_egoi_conn_sub_btn" ).removeClass( "cmp_btn_cancel" );
								$('#carp_egoi_conn_sub_btn').text('Connect');
								$('#carp_egoi_mc_api_key').attr('readonly', false);
								location.reload();
							}else{
								$('#carp_egoi_mc_api_key_err').text("Please Enter Correct API KEY");
							}
						} 
					},
					complete: function(){
						$('.carp_loading').hide(); 
					}  
				});   
			} 
		});
		
		$('#carp_im_conn_sub_btn').click(function(e){  
			e.preventDefault();
			var res= "true";
			$('#carp_imnica_mc_user_err').text(''); 
			$('#carp_imnica_mc_pass_err').text("");
			var username = $('#carp_imnica_mc_user').val();
			var pass = $('#carp_imnica_mc_pass').val();
			if(username == "" ){
				$('#carp_imnica_mc_user_err').text("Please Enter User Id");
				res = "false";
			}
			if(pass == "" ){
				$('#carp_imnica_mc_pass_err').text("Please Enter password");
				res = "false";
			}
			
			if(res != "false"){ 
				if($('#carp_im_conn_sub_btn').text() == "Disconnect"){
					username = "";
					pass = "";   
				}
				
				$('.carp_loading').show();
				var data = {'username':username,'password':pass };
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"ImnicaMail" , "apikey":data },       
					success:function(data){
						var result = jQuery.parseJSON(data);
						if(result.success == true){
							$('#carp_im_conn_sub_btn').text('Disconnect');
							$( "#carp_im_conn_sub_btn" ).addClass( "cmp_btn_cancel" ); 
							$('#carp_imnica_mc_user').attr('readonly', true);
							$('#carp_imnica_mc_pass').attr('readonly', true);
							location.reload();
						}else{
							if($('#carp_im_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_im_conn_sub_btn" ).removeClass( "cmp_btn_cancel" );
								$('#carp_im_conn_sub_btn').text('Connect');
								$('#carp_imnica_mc_user').attr('readonly', false);
								$('#carp_imnica_mc_pass').attr('readonly', false); 
								location.reload();
							}else{
								$('#carp_imnica_mc_pass_err').text("Please Enter Password"); 
							}  
						}
					},
					complete: function(){
						$('.carp_loading').hide();
					}  
				});  
			} 
		});
		
		
		$('#carp_ac_conn_sub_btn').click(function(e){  
			e.preventDefault();
			var res= "true";
			$('#carp_activecampaign_mc_api_url_err').text(''); 
			$('#carp_activecampaign_mc_api_key_err').text("");
			var api_url = $('#carp_activecampaign_mc_api_url').val();
			var api_key = $('#carp_activecampaign_mc_api_key').val();
			if(api_url == "" ){
				$('#carp_activecampaign_mc_api_url_err').text("Please Enter User Id");
				res = "false";
			}
			if(api_key == "" ){
				$('#carp_activecampaign_mc_api_key_err').text("Please Enter API KEY");
				res = "false";
			}
			
			if(res != "false"){ 
				if($('#carp_ac_conn_sub_btn').text() == "Disconnect"){
					api_url = "";
					api_key = "";   
				}
				
				$('.carp_loading').show();
				var data = {'api_url':api_url,'api_key':api_key };
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "save_subscriber_setting", 'responder':"ActiveCampaign" , "apikey":data },       
					success:function(data){
						var result = jQuery.parseJSON(data);
						if(result.success == true){
							$('#carp_ac_conn_sub_btn').text('Disconnect');
							$( "#carp_ac_conn_sub_btn" ).addClass( "cmp_btn_cancel" ); 
							$('#carp_activecampaign_mc_api_url').attr('readonly', true);
							$('#carp_activecampaign_mc_api_key').attr('readonly', true);
							location.reload();
						}else{
							if($('#carp_ac_conn_sub_btn').text() == "Disconnect"){
								$( "#carp_ac_conn_sub_btn" ).removeClass( "cmp_btn_cancel" );
								$('#carp_ac_conn_sub_btn').text('Connect');
								$('#carp_activecampaign_mc_api_url').attr('readonly', false);
								$('#carp_activecampaign_mc_api_key').attr('readonly', false); 
								location.reload();
							}else{
								$('#carp_activecampaign_mc_api_key_err').text("Please Enter Correct API KEY"); 
							}  
						}
					},
					complete: function(){
						$('.carp_loading').hide();
					}  
				});  
			} 
		});
		
		
		
/*********************************** api connection  table**************************************/

	   var table12 = $('#carp_connection_connection_list').DataTable();     

	   $( '#carp_add_new_enable_ul , #carp_add_new_disable_ul' ).sortable({
			connectWith: '.carp_draggable',
		}).disableSelection();

	   //setting table popup
		$(".carp_add_nw_btn").on("click", function(){
			$('#carp_add_new_popup .carp_popup_innerdiv h3').text("Add New");
			$('#carp_add_new_method').text(''); 
			$('#carp_select_list_err').text("");
			$('#cpm_form_cf7_response').text("");
			$('#carp_select_list').val(''); 
			$('#carp_select_mp_list').val('');
			$('#carp_select_list').attr('disabled', false); 
			$('#carp_select_mp_list').attr('disabled', false); 
			$('#carp_select_autoresponder_tbl').attr('disabled', false); 
			$('#carp_add_new_inner_wrapper').hide(); 
			$("#carp_add_new_popup").addClass("carp_open_popup");
		});
		
		//close popup
		$(".carp_closebtn").on("click", function(){
			$(this).parents(".carp_popupwrapper").removeClass("carp_open_popup");
			$('#carp_add_new_popup').removeClass('cpm_scroll_pop');
			$('#carp_add_new_method').text(''); 
		});
		
		//select autoresponder
		$('#carp_select_autoresponder_tbl').on('change',function(e){
			e.preventDefault();
			$('#cpm_form_cf7_response').text("");
			$('#carp_select_list_err').text("");
			$('#carp_add_new_inner_wrapper').hide();
			var autores = $('#carp_select_autoresponder_tbl').val();
			$('#carp_select_mp_list').val("");
			$('.carp_setting_small_loader').show();
			$.ajax({
				type:"POST",
				url: ajaxobject.ajaxurl,
				data: {"action": "add_new_form_setting", 'carp_add_select_ar_form': autores   },   
				success:function(data){
					$("#carp_select_mp_list").html(data); 
				},
				complete: function(){
					$('.carp_setting_small_loader').hide();
				}  
			}); 
		});

		// select contact list 
		$('#carp_select_list').on('change',function(e){
			e.preventDefault();
			$('#cpm_form_cf7_response').text("");
			$('#carp_select_list_err').text("");
			$('#carp_add_new_inner_wrapper').hide();
			$('#carp_select_mp_list').val("");
			
		});
		
         // select autoresponder list
		$('#carp_select_mp_list').on('change',function(e){
			e.preventDefault();
			$('#carp_select_list_err').text('');
			var autores = $('#carp_select_autoresponder_tbl').val();
			var form_id = $('#carp_select_list').val(); 
			var list_id = $(this).val();
			
			if(list_id == "0" || autores== "0"){
				$('#carp_add_new_inner_wrapper').hide();
			}else if( form_id  =="" ){
				$('#carp_add_new_inner_wrapper').hide();
				$('#carp_select_list_err').text('Please select contact form first');
			}else{
			   $.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "add_new_form_setting", 'carp_add_new_form': form_id , 'carp_list_id' : list_id , 'carp_add_autoresponder' : autores  },   
					success:function(data){
						$('#carp_merged_form_field').html(data);
						$('#carp_setted_cforms_form_field span').html("<b>Note:</b> Please Map "+autores+" Fields To Contact-Form7 Fields Eg. EMAIL - email.");
						$('#carp_add_new_popup').addClass('cpm_scroll_pop');
						$('#carp_add_new_inner_wrapper').show(); 
					},
					complete: function(){
					}  
				}); 
			}				
		});

		$('#carp_conn_cf7_sub_btn').click(function(e){
			e.preventDefault();
			$('#carp_submit_response').html("");
			if($('#carp_add_new_method').text() == "edit"){
				var edit = "edit";
			}else{
				var edit = "new";
			}
			var row_length =$("#carp_connection_connection_list > tbody > tr:last td:first").text()
	    	var row_data = $("#carp_connection_connection_list > tbody > tr").length;
	    	if($.isNumeric(row_length) == false){
	    		row_data= 0;
	    	}
			var form_id = $('#carp_select_list').val(); 
			var list_id = $('#carp_select_mp_list').val();
			var autores = $('#carp_select_autoresponder_tbl').val();
			var form_id_name = $('#carp_select_list option:selected').html();
	    	var list_id_name = $('#carp_select_mp_list option:selected').html();
			
			var cf7form_field_select = [];
		  	$('#carp_add_new_enable_ul input[name="carp_form_fieldselect[]"').each(function () {
			   cf7form_field_select.push($(this).val());
		   	});
			
		    var cf7form_field_disable = [];

		    $('#carp_add_new_disable_ul input[name="carp_form_fieldselect[]"').each(function () {
			   cf7form_field_disable.push($(this).val());  
		    });

		   	var aweberform_field_select = [];
		   	$('#carp_add_aweber_ul input[name="carp_form_fieldselect[]"').each(function () {
			   aweberform_field_select.push($(this).val()); 
		    });
			
			if(aweberform_field_select.length > 0){
				if(list_id != "" && form_id != ""  ){
					$.ajax({
						type:"POST",
						url: ajaxobject.ajaxurl,
						data: {"action": "add_new_form_setting", "carp_add_cf7_list":list_id ,"carp_add_cf7_form":form_id , "carp_add_cf7_selected":cf7form_field_select , "carp_add_cf7_disabled":cf7form_field_disable ,"carp_add_cf7_aweber":aweberform_field_select ,'carp_edit_content':edit , 'carp_edit_ar': autores },
						success:function(data){
							console.log(image_urls.form_edit);
							if(edit == "edit"){
								$('#carp_submit_response').html("<h3>Edit Successfully</h3>");
								setTimeout(function() {  $('#carp_submit_response').fadeOut().hide(); }, 5000); 
								jQuery("#carp_add_new_popup").removeClass("carp_open_popup");
							}else{
								if(data != "fail"){
									table12.row.add( [
										row_data+1,
										autores+'<input type="hidden" class="carp_form_table__autoresponder" value="'+autores+'"/>',
										form_id_name+'<input type="hidden" class="carp_form_table__form_id" value="'+form_id+'"/>',
										list_id_name+'<input type="hidden" class="carp_form_table__list_id" value="'+list_id+'"/>',
										'<button id="carp_cf7_conn_action_edit" class="carp_action_btn"><img src="'+image_urls.form_edit+'edit.png"/><button id="carp_cf7_conn_action_del" class="carp_action_btn" ><img src="'+image_urls.form_edit+'delete.png"/></button>',	         
									] ).draw( true );
									$('#carp_submit_response').html("<h3>Add Successfully</h3>");
									setTimeout(function() {  $('#carp_submit_response').fadeOut().hide(); }, 5000);
									jQuery("#carp_add_new_popup").removeClass("carp_open_popup");
								}else{
									$('#cpm_form_cf7_response').text("Selected List and Contact Form alredy in list");
								}
							} 
						},
					});  
				}else{
					$('#cpm_form_cf7_response').text("Please Select List and Contact Form");
				}
			}
		});

		$('#carp_cf7_conn_action_del').live('click', function(e){
	    	e.preventDefault();
			var form_id = $(this).parent().prevAll().find('.carp_form_table_id').val();
			var form_new_id = $(this).parent().prevAll().find('.carp_form_table__form_id').val();
			var list_id = $(this).parent().prevAll().find('.carp_form_table__list_id').val();
			var row = table12.row( $(this).parents('tr') );
			var ask = window.confirm("Are you sure you want to delete?");
			if (ask) {
				$.ajax({
					type:"POST",
					url: ajaxobject.ajaxurl,
					data: {"action": "add_new_form_setting", "carp_delete_form":form_new_id,  'carp_delete_form_list_id':list_id }, 
					success:function(data){
						if(data == "success"){
							row.remove().draw( false );
							var row_length =$("#carp_connection_connection_list > tbody > tr:last td:first").text()
							var row_data = $("#carp_connection_connection_list > tbody > tr").length;
							if($.isNumeric(row_length) == false){
								row_data= 0;
							}
							var i;
							for(i=0;i<row_data;i++){
								 $("#carp_connection_connection_list > tbody >").eq(i).find("td").first().text(i+1);
							}
							$('#carp_submit_response').html("<h3>Delete succesfully</h3>");
							setTimeout(function() {  $('#carp_submit_response').fadeOut().hide(); }, 5000);
						}
					}, 
				});
			} 
	    });

		
		$('#carp_cf7_conn_action_edit').live('click',function(e){
	    	e.preventDefault();
			$('#cpm_form_cf7_response').text(''); 
			var autoresponder = $(this).parent().prevAll().find('.carp_form_table__autoresponder').val();
			var form_id = $(this).parent().prevAll().find('.carp_form_table_id').val();
			var form_new_id = $(this).parent().prevAll().find('.carp_form_table__form_id').val();
			var list_id = $(this).parent().prevAll().find('.carp_form_table__list_id').val();
			$.ajax({
				type:"POST",
				url: ajaxobject.ajaxurl,
				data: {"action": "add_new_form_setting", "carp_edit_form":form_new_id  ,'carp_edit_form_list_id' : list_id,'carp_method':'edit' ,'carp_edit_autors' : autoresponder  },  
				success:function(data){
					$('#carp_add_new_popup').addClass('cpm_scroll_pop');
					$('#carp_add_new_popup .carp_popup_innerdiv h3').text("Edit Form Setting"); 
					$('#carp_merged_form_field').html(data);
					$('#carp_add_new_inner_wrapper').show(); 
					$('#carp_select_autoresponder_tbl').val(autoresponder);
					$('#carp_select_list').val(form_new_id); 
					$('#carp_select_mp_list').val(list_id);
					$('#carp_select_list').attr('disabled', true); 
					$('#carp_select_mp_list').attr('disabled', true); 
					$('#carp_select_autoresponder_tbl').attr('disabled', true); 
					$("#carp_add_new_popup").addClass("carp_open_popup");
		
				}, 
			}); 
	    });
		
		$('#carp_merged_form_field #add_custum_field').live('click',function(e){  
			e.preventDefault();
			var field = $('#add_new_custum_fields').val();
			if(field !=""){
				if (/\s/g.test(field) == false ) {    
					$('#carp_add_aweber_ul').append('<li>'+field+'<input type="hidden" name="carp_form_fieldselect[]" value="'+field+'"  class="carp_draggable_input" ><a href="link/to/trash/script/when/we/have/js/off" title="Delete this image" class="ui-icon ui-icon-trash" id="add_field_cf7_delete" >Delete image</a></li>');  
				}
			}
		});
		
		$('#add_field_cf7_delete').live('click',function(e){  
			e.preventDefault();
			$(this).parents("li").remove();
		});


		/*************************************  contact form7 data log   ***********************************************/

	     var oTable;
		oTable = $('#carp_cf7_datalogtable').dataTable({
 			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel'
			]
		});      
        $('#carp_datalog_formfilter').change(function () {
	       
			if($(this).val() == "0"){
				oTable.fnFilter('',1);
				oTable.fnFilter(''); 
			}else{
				 oTable.fnFilter( $(this).val(),1);
			}
		})	

		/******************************************templete page************************************************/
		
		$('.carp_temp_input').each(function( index, value ){ 
			if ($(this).data('template') != undefined) $(this).hide();
		});
		
		$('#carp7_copy_btn').click(function(e){
			e.preventDefault();
			var copyText = document.getElementById("carp_templete_shortcode");
			copyText.select();
			document.execCommand("Copy");
			alert("Copied the Shortcode");
		});
		
		$('.carp-color-field').wpColorPicker({
			change: function( event, ui ) {
				var element = event.target; 
				var color = ui.color.toString();
				var template = $('#carp_templete_temp').val();
					if($(element).hasClass('carp_form_field')){
						var req = $(element).data('req');
						if(req == 'bg-color'){
							$('.'+template+'_wrapper').css('background-color', color);
						}
						if(req == 'txt-color'){
							$('.'+template+'_wrapper h1').css('color', color);
						}
						if(req == 'bdr-plccolor'){
							var  styleContent = '#email::placeholder {  color: '+color+'!important; }  #name::placeholder {  color: '+color+'!important; } ';
							var stylecolorchange = '<style id="placeholder-style">' + styleContent + '</style>'; 
							$('.'+template+'_wrapper').append(stylecolorchange); 
						}
						if(req == 'btn-bg-color'){
							$('.'+template+'_wrapper').find("input[type='submit']").css('background-color', color);
						}
						if(req == 'btn-txt-color'){ 
							$('.'+template+'_wrapper').find("input[type='submit']").css('color', color); 
						}
						if(req == 'desc-clr'){
							$('.'+template+'_wrapper p').css('color', color);
						}
						if(req == 'sub-title-clr'){ 
							$('.'+template+'_wrapper h3').css('color', color); 
						}
						if(req == 'bdr-bgcolor'){ 
							$('.'+template+'_wrapper').css('border-color', color);  
						}
						if(req == 'btn-hvr-bgcolor'){ 
							$('.'+template+'_wrapper').find("input[type='submit']").hover(function(e){
								$(this).css("background-color",color); 
							},function(){
								var clr = ($('#carp_templete_btn_bgclr').val() != undefined)?$('#carp_templete_btn_bgclr').val():'';
								$(this).css("background-color",clr); 
							});
						}	
						if(req == 'btn-hvr-txtcolor'){ 
							$('.'+template+'_wrapper').find("input[type='submit']").hover(function(e){
								$(this).css("color",color); 
							},function(){
								var clr = ($('#carp_templete_btn_txtclr').val() != undefined)?$('#carp_templete_btn_txtclr').val():'';
								$(this).css("color",clr); 
							});
						}	
					}
			},
			clear: function() {
				var template = $('#carp_templete_temp').val();
				$('.'+template+'_wrapper').css('background-color', '');       
			}
		});
		
		$('#carp_event_upload_btn').click(function(e) {
			e.preventDefault();
			var image = wp.media({ 
				title: 'Upload Image',
				multiple: false
			}).open()
			.on('select', function(e){
				var uploaded_image = image.state().get('selection').first();
				var image_url = uploaded_image.toJSON().url;
				var template = $('#carp_templete_temp').val();
				$("."+template+"_wrapper").css("background", "url("+image_url+") no-repeat");
				$('#carp_event_image_upload').val(image_url);
				$('#carp_event_image_upload_err').show();
				$("#carp_template_background_img").show();
				$("#carp_template_background_img").attr('src',image_url );
				$('#carp_event_image_upload_err').css('color','#00ff00');
				$('#carp_event_image_upload_err').text("Upload Image Successfully");
				setTimeout(function() {  $('#carp_event_image_upload_err').fadeOut().hide(); }, 5000);
			});
		});
		
		$('#carp_logo_upload_btn').click(function(e) {
			e.preventDefault();
			var image = wp.media({ 
				title: 'Upload Image',
				multiple: false
			}).open()
			.on('select', function(e){
				var uploaded_image = image.state().get('selection').first();
				var image_url = uploaded_image.toJSON().url;
				var template = $('#carp_templete_temp').val();
				$("."+template+"_wrapper img").attr("src",image_url);
				$('#carp_event_logo_upload').val(image_url);
				$('#carp_event_logo_upload_err').show();
				$("#carp_template_logo_img").show();
				$("#carp_template_logo_img").attr('src',image_url );
				$('#carp_event_logo_upload_err').css('color','#00ff00');
				$('#carp_event_logo_upload_err').text("Upload Image Successfully");
				setTimeout(function() {  $('#carp_event_logo_upload_err').fadeOut().hide(); }, 5000);
				
			});
		});
		
		$('#carp_event_remove_btn').click(function(e){
			e.preventDefault();
			var template = $('#carp_templete_temp').val();
			$("."+template+"_wrapper").css("background-image",'');
			var prev_img = $("."+template+"_wrapper").data("bg_img");
			$('#carp_event_image_upload').val(prev_img);   
			$('#carp_event_image_upload_err').show();
			$("#carp_template_background_img").attr('src','' );
			$("#carp_template_background_img").hide();
			$('#carp_event_image_upload_err').css('color','#00ff00');
			$('#carp_event_image_upload_err').text("Remove Image Successfully");
			setTimeout(function() {  $('#carp_event_image_upload_err').fadeOut().hide(); }, 5000);
		});
		
		$('#carp_logo_remove_btn').click(function(e){
			e.preventDefault();
			var template = $('#carp_templete_temp').val();
			var prev_img = $("."+template+"_wrapper").data("img"); 
			if(prev_img == undefined || prev_img ==""){
			    if(template == "temp3"){
					prev_img = image_url.form__url+'images/email_t7.png';
				}else if(template == "temp6"){
					prev_img = image_url.form__url+'images/envelope_icon_2.png';
				}else if(template == "temp7"){
					prev_img = image_url.form__url+'images/temp_smily.png';
				}else if(template == "temp8"){
					prev_img = image_url.form__url+'images/temp_offer.png';
				}else if(template == "temp10"){
					prev_img = image_url.form__url+'images/email_img.png';
				}
			    
			}
			$("."+template+"_wrapper img").attr("src",prev_img);
			$('#carp_event_logo_upload').val(prev_img);  
			$('#carp_event_logo_upload_err').show();
			$("#carp_template_logo_img").attr('src','' );
			$("#carp_template_logo_img").hide();
			$('#carp_event_logo_upload_err').css('color','#00ff00');
			$('#carp_event_logo_upload_err').text("Remove Image Successfully");
			setTimeout(function() {  $('#carp_event_logo_upload_err').fadeOut().hide(); }, 5000);
		});
		
		$('#carp_template_select_autoresponders').change(function(){
			var autores = $('#carp_template_select_autoresponders').val();
			 
			 var template = $('#carp_templete_temp').val();
			$('#carp_form_list').next().text('');   
			$('#carp_templete_submit_btn').hide(); 
	 		$("#carp_templete_temp").next().text(''); 
			$('#carp_templete_title').next().text('');
			$('#carp_templete_button_text').next().text('');
			$('#carp_templete_shortcode').next().text(''); 
			$('#carp_templete_popup_desp').next().text(''); 
			$('#carp_templete_popup_subtit').next().text('');
			$('#carp_templete_popup_name_ph').next().text(''); 
			$('#carp_templete_popup_emil_ph').next().text(''); 
			$('.carp_temp_input').each(function( index, value ){ 
				if ($(this).data('template') != undefined) $(this).hide(); 
			});
			$("#carp_templete_temp").val(0);
			$("#"+template).hide(); 
			$('#carp_templete_reset_btn').hide();
			 
			$('.carp_temp_ar_small_loader').show();
			$.ajax({
				type:"POST",
				url: ajaxobject.ajaxurl,
				data: {"action": "add_new_form_setting", 'carp_add_select_ar_form': autores   },   
				success:function(data){
					$("#carp_form_list").html(data);
				},
				complete: function(){
						$('.carp_temp_ar_small_loader').hide();
					}  
			}); 
		})
		
		$('#carp_form_list').on('click', function (e) { 
			e.preventDefault();
			$(this).next().text(''); 
			$('#carp_templete_submit_btn').hide(); 
			$("#carp_templete_temp").next().text(''); 
			$('#carp_templete_title').next().text('');
			$('#carp_templete_button_text').next().text('');
			$('#carp_templete_shortcode').next().text(''); 
			$('#carp_templete_popup_desp').next().text(''); 
			$('#carp_templete_popup_subtit').next().text('');
			$('#carp_templete_popup_name_ph').next().text(''); 
			$('#carp_templete_popup_emil_ph').next().text('');
			var form_id= $('#carp_form_list').val();
			var template = $('#carp_templete_temp').val();
			$('#carp_templete_shortcode').val('');  
			$('.carp_temp_input').each(function( index, value ){ 
				if ($(this).data('template') != undefined) $(this).hide(); 
			});
			$("#carp_templete_temp").val(0);
			$("#"+template).hide(); 
			$('#carp_templete_reset_btn').hide();
			
		});
		
		
		$("#carp_templete_temp").on('click', function (e) { 
			 var previous = $(this).val();
			 $(this).data("value", previous);
		}).change(function(e) {
			$('#carp_templete_temp').next().text("");
			$('#carp_form_list').next().text('');
			$(this).next().text('');
			$('#carp_templete_title').next().text('');
			$('#carp_templete_button_text').next().text('');
			$('#carp_templete_shortcode').next().text(''); 
			$('#carp_templete_popup_desp').next().text(''); 
			$('#carp_templete_popup_subtit').next().text('');
			$('#carp_templete_popup_name_ph').next().text(''); 
			$('#carp_templete_popup_emil_ph').next().text('');
			var previous = $(this).data("value");
			var template = $(this).val();
			var form_id= $('#carp_form_list').val();
			var autores = $('#carp_template_select_autoresponders').val();
			if(form_id == 0){
				$('#carp_form_list').next().text("please select list first");
			}
			
			//$('.carp_small_loader').show();
			$.ajax({
				type:"POST",
				url: ajaxobject.ajaxurl,
				data: {"action": "save_templete_select_list", "carp_temp_list":form_id , "carp_temp_temp":template,  }, 
				success:function(data1){
					if(data1 != "fail"){
						var result = jQuery.parseJSON(data1);
						$('#carp_templete_reset_btn').show();
						var req ="",value="";
						if(previous == undefined){
							$("#temp1").hide(); 
						}else{
							$('#'+previous).hide();  
						}
						$('#'+template).show();
						
						$('.carp_temp_input').each(function( index, value ){ 
							if ($(this).data('template') != undefined) $(this).hide(); 
						});
						$('.carp_form_field').each(function( index, value ){ 
							req =$(this).data('req');
							switch (req) {
								case "title":
									value = result[$(this).attr('name')];
									$("."+template+"_wrapper h1" ).text(value);
									$(this).val(value);
									break;
								case "btn-text":
									value = result[$(this).attr('name')];
									$("."+template+"_wrapper .carp_subs_btn" ).val(value);
									$(this).val(value);
									break;
								case "desc":
									value = result[$(this).attr('name')];
									$("."+template+"_wrapper p" ).text(value);
									$(this).val(value);
									break;
								case "sub-title":
									value = result[$(this).attr('name')];
									$("."+template+"_wrapper h3" ).text(value);
									$(this).val(value);
									break;
								case "name-ph":
									value = result[$(this).attr('name')];
									$("."+template+"_wrapper" ).find("#name").attr("placeholder",value);
									$(this).val(value);
									break;
								case "email-ph":
									value = result[$(this).attr('name')];
									$("."+template+"_wrapper" ).find("#email").attr("placeholder",value);
									$(this).val(value);
									break;
								case "bg-color":
									value = result[$(this).attr('name')];
									$('.'+template+'_wrapper').css('background-color',value);
									$(this).wpColorPicker('color',value);
									break;
								case "txt-color":
									value = result[$(this).attr('name')];
									$('.'+template+'_wrapper h1').css('color',value);
									$(this).wpColorPicker('color',value);
									break;
								case "bdr-plccolor":
									value = result[$(this).attr('name')];
									var  styleContent = '#email::placeholder {  color: '+value+'; }  #name::placeholder {  color: '+value+'; } ';
									var stylecolorchange = '<style id="placeholder-style">' + styleContent + '</style>'; 
									$('.'+template+'_wrapper').append(stylecolorchange);
									$(this).wpColorPicker('color',value);
									break;
								case "desc-clr":
									value = result[$(this).attr('name')];
									$('.'+template+'_wrapper p').css('color',value);
									$(this).wpColorPicker('color',value);
									break;
								case "sub-title-clr":
									value = result[$(this).attr('name')];
									$('.'+template+'_wrapper h3').css('color',value);
									$(this).wpColorPicker('color',value);
									break;	 
								case "bdr-bgcolor":
									value = result[$(this).attr('name')];
									$('.'+template+'_wrapper').css('border-color',value);
									$(this).wpColorPicker('color',value);
									break;
								case "btn-bg-color":
									value = result[$(this).attr('name')];
									$('.'+template+'_wrapper').find("input[type='submit']").css('background-color',value);
									$(this).wpColorPicker('color',value);
									break;
								case "btn-txt-color":
									value = result[$(this).attr('name')];
									$('.'+template+'_wrapper').find("input[type='submit']").css('color',value);
									$(this).wpColorPicker('color',value);
									break;
								case "btn-bdr-color":
									value = result[$(this).attr('name')];
									$('.'+template+'_wrapper').find("input[type='submit']").css('border-color',value);
									$(this).wpColorPicker('color',value);
									break;
								case "btn-hvr-bgcolor":
									value = result[$(this).attr('name')];
									$('.'+template+'_wrapper').find("input[type='submit']").css('background-color:hover',value);
									$(this).wpColorPicker('color',value);
									break;
								case "bg-img":
									value = result[$(this).attr('name')];
									$("."+template+"_wrapper").css("background-image",value)
									$(this).val(value);
									break;
								case "logo-img":
									value = result[$(this).attr('name')];
									$("."+template+"_wrapper img").attr("src",value);
									$(this).val(value);
									break;
								default:
									value="";
							}
							
							var c = $(this).parents('.carp_temp_input').data('template');
							if(c != undefined){
								var res = c.split(',');
								if($.inArray(template, res) > -1){
									$(this).parents('.carp_temp_input').show();
									$('#carp_templete_submit_btn').show(); 
								} 
							} 
						});
					}else{
						$('#carp_templete_reset_btn').hide();
						var req ="",value="";
						if(previous == undefined){
							$("#temp1").hide(); 
						}else{
							$('#'+previous).hide();  
						}
						$('#'+template).show();
						
						$('.carp_temp_input').each(function( index, value ){ 
							if ($(this).data('template') != undefined) $(this).hide(); 
						});
						$('.carp_form_field').each(function( index, value ){ 
							req =$(this).data('req');
							
							switch (req) {
								case "title":
									value = $("."+template+"_wrapper h1" ).text();
									$(this).val(value);
									break;
								case "btn-text":
									value = $("."+template+"_wrapper .carp_subs_btn" ).val();
									$(this).val(value);
									break;
								case "desc":
									value = $("."+template+"_wrapper p" ).text();
									$(this).val(value);
									break;
								case "sub-title":
									value = $("."+template+"_wrapper h3" ).text();
									$(this).val(value);
									break;
								case "name-ph":
									value = $("."+template+"_wrapper" ).find("#name").attr("placeholder");
									$(this).val(value);
									break;
								case "email-ph":
									value = $("."+template+"_wrapper" ).find("#email").attr("placeholder");
									$(this).val(value);
									break;
								case "bg-color":
									value = $('.'+template+'_wrapper').css('background-color');
									$(this).wpColorPicker('color',value);
									break;
								case "txt-color":
									value = $('.'+template+'_wrapper h1').css('color'); 
									$(this).wpColorPicker('color',value);
									break;
								case "bdr-plccolor":
									value = $('.'+template+'_wrapper #email::placeholder');								
									$(this).wpColorPicker('color',value);
									break;
								case "desc-clr":
									value = $('.'+template+'_wrapper p').css('color');
									$(this).wpColorPicker('color',value);
									break;
								case "sub-title-clr":
									value = $('.'+template+'_wrapper h3').css('color');
									$(this).wpColorPicker('color',value);
									break;	 
								case "bdr-bgcolor":
									value = $('.'+template+'_wrapper').css('border-color');
									$(this).wpColorPicker('color',value);
									break;
								case "btn-bg-color":
									value = $('.'+template+'_wrapper').find("input[type='submit']").css('background-color');
									$(this).wpColorPicker('color',value);
									break;
								case "btn-txt-color":
									value = $('.'+template+'_wrapper').find("input[type='submit']").css('color');
									$(this).wpColorPicker('color',value);
									break;
								case "btn-hvr-bgcolor":
									value = $('.'+template+'_wrapper').find("input[type='submit']").css('background-color:hover');
									$(this).wpColorPicker('color',value);
									break;
								case "bg-img":
									value = $("."+template+"_wrapper").css("background-image");
									$("."+template+"_wrapper").data("bg_img", value); 
									value=value.replace(/^url\(["']?/, '').replace(/["']?\)$/, '');
									$(this).val(value);
									break;
								case "logo-img":
									value = $("."+template+"_wrapper img").attr("src");
									$("."+template+"_wrapper").data("img", value); 
									$(this).val(value);
									break;
								default:
									value="";
							}
							
							var c = $(this).parents('.carp_temp_input').data('template');
							if(c != undefined){
								var res = c.split(',');
								if($.inArray(template, res) > -1){
									$(this).parents('.carp_temp_input').show();
									$('#carp_templete_submit_btn').show(); 
								} 
							} 
						});
					}
					if(form_id != "0"){
						$('#carp_templete_shortcode').val("[CFARW7A  autoresponder='"+autores+"' list='"+form_id+"' template='"+template+"']");
					}else{
						$(this).next().text("Please Select Form Field");          
					}
				}, 
			}); 
		
		}); 
		
		$('#carp_templete_reset_btn').click(function(e){
			e.preventDefault();
			var ask = window.confirm("Are you sure you want to delete?");
			if (ask) {
				var list_id= $('#carp_form_list').val();
				var template = $('#carp_templete_temp').val();
				if(list_id != "" && template != "" ){
					$.ajax({
							type:"POST",
							url: ajaxobject.ajaxurl,
							data: {"action": "save_templete_reset_list", "carp_reset_list":list_id , "carp_reset_temp":template  }, 
							success:function(data){
								if(data == "success"){
									location.reload();
									window.alert("This custom template was successfully deleted."); 
								}
							}, 
						}); 
				}
				
			}
		});
		
		$('#carp_templete_title').keyup(function(event){
			var templete = $('#carp_templete_temp').val();
			var title = $(this).val();
			$("."+templete+"_wrapper h1" ).html(title);
		});
		
		$('#carp_templete_button_text').keyup(function(){
			var templete = $('#carp_templete_temp').val();
			var title = $(this).val();
			$("."+templete+"_wrapper .carp_subs_btn" ).val(title);
		});
		
		$('#carp_templete_popup_desp').keyup(function(){
			var templete = $('#carp_templete_temp').val();
			var title = $(this).val();
			$("."+templete+"_wrapper p" ).text(title); 
		});
		
		$('#carp_templete_popup_subtit').keyup(function(){
			var templete = $('#carp_templete_temp').val();
			var title = $(this).val();
			$("."+templete+"_wrapper h3" ).text(title);  
		});
		
		$('#carp_templete_popup_name_ph').keyup(function(){
			var templete = $('#carp_templete_temp').val();
			var title = $(this).val();
			$("."+templete+"_wrapper" ).find("#name").attr("placeholder", title);
		});
		
		$('#carp_templete_popup_emil_ph').keyup(function(){
			var templete = $('#carp_templete_temp').val();
			var title = $(this).val();
			$("."+templete+"_wrapper" ).find("#email").attr("placeholder", title); 
		});
		
		$('#carp_templete_submit_btn').click(function(e){
			e.preventDefault();
			$('#carp_temp_response').text("");
			$('#carp_form_list').next().text('');
			$('#carp_templete_temp').next().text('');
			var autoresponder = $('#carp_template_select_autoresponders').val();
			var list_id= $('#carp_form_list').val();
			var template = $('#carp_templete_temp').val();
			var shortcode = $('#carp_templete_shortcode').val(); 
			var result_arr={};
			$('.carp_form_field').each(function( index, value ){
				var c = $(this).parents('.carp_temp_input').data('template');
				if(c != undefined){
					var res = c.split(',');
					if($.inArray(template, res) > -1){
						var key = $(this).attr('name');
						var value = $(this).val();
						result_arr[key] = value;
					} 
				} 
			});
			var json= JSON.stringify( result_arr);
			$('#carp_templete_title').next().text('');
			$('#carp_templete_button_text').next().text('');
			$('#carp_templete_shortcode').next().text(''); 
			$('#carp_templete_popup_desp').next().text(''); 
			$('#carp_templete_popup_subtit').next().text('');
			$('#carp_templete_popup_name_ph').next().text(''); 
			$('#carp_templete_popup_emil_ph').next().text('');
			var title = $('#carp_templete_title').val().trim();
			var btn_txt = jQuery('#carp_templete_button_text').val().trim();
				
			var desc = $('#carp_templete_popup_desp').val().trim();
			var subtitle = $('#carp_templete_popup_subtit').val().trim();
			var name_ph = $('#carp_templete_popup_name_ph').val().trim();
			var email_ph = $('#carp_templete_popup_emil_ph').val().trim();
			var err = "0";
			if(list_id == "0" ){
				err = "1";
			}
			if(template == "0" ){
				err = "1";
			}
			if(title == ""  && $('#carp_templete_title').parents('.carp_temp_input').data('template').split(',').indexOf(template) >-1){
				$('#carp_templete_title').next().text('Please Enter Template Title'); 
				err = "1";
			}
						
			if(btn_txt == ""  && $('#carp_templete_button_text').parents('.carp_temp_input').data('template').split(',').indexOf(template) >-1 ){
				$('#carp_templete_button_text').next().text('Please Enter Submit  Button Text');
				err = "1";
			}
						
			if(desc == ""  && $('#carp_templete_popup_desp').parents('.carp_temp_input').data('template').split(',').indexOf(template) >-1){
				$('#carp_templete_popup_desp').next().text('Please Enter Despcription'); 
				err = "1";
			}
			
			if(subtitle == ""  && $('#carp_templete_popup_subtit').parents('.carp_temp_input').data('template').split(',').indexOf(template) >-1 ){
				$('#carp_templete_popup_subtit').next().text('Please Enter Subtitle');
				err = "1";
			}
			if(name_ph == ""  && $('#carp_templete_popup_name_ph').parents('.carp_temp_input').data('template').split(',').indexOf(template) >-1){
				$('#carp_templete_popup_name_ph').next().text('Please Enter Name Placeholder'); 
				err = "1";
			}
			if(email_ph == ""  && $('#carp_templete_popup_emil_ph').parents('.carp_temp_input').data('template').split(',').indexOf(template) >-1 ){
				$('#carp_templete_popup_emil_ph').next().text('Please Enter Email Placeholder');
				err = "1";
			}			
			if(title.indexOf("  ")>=0){
				$('#carp_templete_title').next().text('Title Cannot Accept Whitespaces'); 								
				err = "1";
				
			}			
			if(btn_txt.indexOf("  ")>=0){				
				$('#carp_templete_button_text').next().text('Button Text Cannot Accept Whitespaces');
				err = "1";				
			}
			if(desc.indexOf("  ")>=0){				
				$('#carp_templete_popup_desp').next().text('Description Cannot Accept Whitespaces');			
				err = "1";				
			}
			if(subtitle.indexOf("  ")>=0){				
				$('#carp_templete_popup_subtit').next().text('Subtitle Cannot Accept Whitespaces');		
				err = "1";				
			}
			if(name_ph.indexOf("  ")>=0){				
				$('#carp_templete_popup_name_ph').next().text('Name Cannot Accept Whitespaces');	
				err = "1";				
			}
			if(email_ph.indexOf("  ")>=0){				
				$('#carp_templete_popup_emil_ph').next().text('Email Cannot Accept Whitespaces');	
				err = "1";				
			}			
			if(shortcode == ""){
				$('#carp_temp_response').show();
				$('.carp_temp_response').css('color','#df4040');
				$('#carp_temp_response').text('Please Select List and Template ');
				setTimeout(function() {  $('#carp_temp_response').fadeOut().hide(); }, 5000);
				err = "1";
			} 
			if(err == "1"){
				e.preventDefault();
			}else{
				$.ajax({
					type:"POST", 
					url: ajaxobject.ajaxurl,
					data: {"action": "save_templete_setting", "carp_temp_form":list_id , "carp_temp_template":template , "carp_temp_data": result_arr, 'carp_temp_shortcode':shortcode, 'carp_temp_autoresponder': autoresponder },  
					success:function(data){
						$('#carp_temp_response').show();
						if(data == "Save Successfully"){
							$('#carp_temp_response').text("Setting save succesfully");
							$('#carp_templete_reset_btn').show();
							$('.carp_temp_response').css('color','#008000');
							setTimeout(function() {  $('#carp_temp_response').fadeOut().hide(); }, 5000);
						}else{
							$('#carp_temp_response').text("setting Already Saved");
							$('.carp_temp_response').css('color','#00ff00');
							setTimeout(function() {  $('#carp_temp_response').fadeOut().hide(); }, 5000);
						} 
					}, 
				}); 
			}
			
		});
	});
})( jQuery ); 