<?php
if (!defined("EgoiApiFactory")) {   
	define("EgoiApiFactory",0); 
	
	require_once CARP_PATH . "/subscribers/e-goi-wrapper-php-0.3.1/Egoi/Api.php";
	require_once CARP_PATH . "/subscribers/e-goi-wrapper-php-0.3.1/Egoi/RestImpl.php";
	require_once CARP_PATH . "/subscribers/e-goi-wrapper-php-0.3.1/Egoi/SoapImpl.php";
	require_once CARP_PATH . "/subscribers/e-goi-wrapper-php-0.3.1/Egoi/XmlRpcImpl.php"; 
	
	abstract class EgoiApiFactory {
	
		function getApi($protocol) {
			switch($protocol) {
				case Protocol::Rest:
					return new EgoiApiRestImpl();
				case Protocol::Soap;
					return new EgoiApiSoapImpl();
				case Protocol::XmlRpc:
					return new EgoiApiXmlRpcImpl();
			}
		}
	
	}
	
}
?>